New customers: 5% off orders over $300 | Worldwide shipping from Shenzhen · 30,000+ technicians served Track Your Order FAQ

Tools

Start with the exact device model when choosing replacement parts. For repair equipment, compare the task, supported models, voltage and plug, compatible tips or fixtures, and package contents.

1567 products found

Category

Brand

Price (USD)

—

Sort by

Reset
1567 products found
MaAnt QP-3 Screen Opener For Phone Tablet NEW
MaAnt
MaAnt QP-3 Screen Opener For Phone Tablet
No reviews yet · In Stock
$29.99
CODE: HP-HTP030
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box -13%
2UUL
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box
No reviews yet · In Stock
$2.59 $2.99
CODE: RF-RFC018
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm -67%
Best
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm
No reviews yet · In Stock
$1.00 $3.05
CODE: RF-RFC019
iPhone 11 Pro Aluminum Mould with Silicone Mat Mold Laminator NEW
Best
iPhone 11 Pro Aluminum Mould with Silicone Mat Mold Laminator
No reviews yet · In Stock
$8.00
CODE: LM-MLD007
TBK Automatic Center Positioning Mold for TBK 958A 958B 958C Laser Machine NEW
TBK
TBK Automatic Center Positioning Mold for TBK 958A 958B 958C Laser Machine
No reviews yet · In Stock
$69.00
CODE: LS-LSR010
iPhone 12 Mini Aluminium Alloy LCD Screen Laminating Positioning Mould NEW
Best
iPhone 12 Mini Aluminium Alloy LCD Screen Laminating Positioning Mould
No reviews yet · In Stock
$9.00
CODE: LM-MLD008
TBK R-2201 Intelligent Infrared Laser Disassembly Welding Machine -16%
TBK
TBK R-2201 Intelligent Infrared Laser Disassembly Welding Machine
No reviews yet · In Stock
$1,462.99 $1,749.00
CODE: LS-LSR011
Kaisi 946 Pro Phone Screen Seperator Machine For Flat And Curved Screen NEW
Kaisi
Kaisi 946 Pro Phone Screen Seperator Machine For Flat And Curved Screen
No reviews yet · In Stock
$79.99
CODE: HP-HTP031
TBK 215A Mobile Phone Middle Frame Repair Fixture NEW
TBK
TBK 215A Mobile Phone Middle Frame Repair Fixture
No reviews yet · In Stock
$64.99
CODE: HP-HTP032
2UUL DA32 Phone Mic Protective Sticker (For After Market Phone Repair) 500PCS/Pack NEW
2UUL
2UUL DA32 Phone Mic Protective Sticker (For After Market Phone Repair) 500PCS/Pack
No reviews yet · In Stock
$2.49
CODE: RF-RFC020
SUNSHINE LS3 SE 11-inch LCD screen separator -26%
SunShine
SUNSHINE LS3 SE 11-inch LCD screen separator
No reviews yet · In Stock
$18.49 $24.99
CODE: HP-HTP033
YCS M.Y Framed Laminating Universal Mold for iPhone 12 to 17 series -13%
YCS
YCS M.Y Framed Laminating Universal Mold for iPhone 12 to 17 series
No reviews yet · In Stock
$12.99 $14.99
CODE: LM-MLD009
iPhone Xs Max Aluminium Alloy LCD Screen Laminating Positioning Mould NEW
Best
iPhone Xs Max Aluminium Alloy LCD Screen Laminating Positioning Mould
No reviews yet · In Stock
$5.50
CODE: LM-MLD010
iPhone 11/XR Aluminum Mould with Silicone Mat Mold Laminator NEW
Best
iPhone 11/XR Aluminum Mould with Silicone Mat Mold Laminator
No reviews yet · In Stock
$8.00
CODE: LM-MLD011
TBK 205 LCD Suction Cup Fixture
TBK
TBK 205 LCD Suction Cup Fixture
No reviews yet · In Stock
$92.99 $99.00
CODE: LS-LSR012
RF4 RF-PEACE Mobile Phone Screen Vacuum Separator Machine NEW
RF4
RF4 RF-PEACE Mobile Phone Screen Vacuum Separator Machine
No reviews yet · In Stock
$29.00
CODE: HP-HTP034
RELIFE RL-601P MAX Multifunctional Frame Corrector
ReLife
RELIFE RL-601P MAX Multifunctional Frame Corrector
No reviews yet · In Stock
$54.99 $59.99
CODE: HP-HTP035
SUNSHINE SS-601G Multifunctional heating-free screen remover -42%
SunShine
SUNSHINE SS-601G Multifunctional heating-free screen remover
No reviews yet · In Stock
$13.99 $23.99
CODE: HP-HTP036
2UUL DA20 Electric Wire Wrapping Bar NEW
2UUL
2UUL DA20 Electric Wire Wrapping Bar
No reviews yet · In Stock
$24.99
CODE: RF-RFC021
LanRui i9 Multi-purpose Adhesive NEW
Lanrui
LanRui i9 Multi-purpose Adhesive
No reviews yet · In Stock
$1.99
CODE: RF-RFC022
SUNSHINE New-style SS-601G Multifunctional heating-free screen remover for Phone 17 Series -12%
SunShine
SUNSHINE New-style SS-601G Multifunctional heating-free screen remover for Phone 17 Series
No reviews yet · In Stock
$14.99 $16.99
CODE: HP-HTP037
2UUL Sharp Wire for Screen Separation 100M (5 Rolls/Box) -50%
2UUL
2UUL Sharp Wire for Screen Separation 100M (5 Rolls/Box)
No reviews yet · In Stock
$1.99 $3.99
CODE: RF-RFC023
Mechanic PRO Heating Screen Opener for Heating and Disassembling Mobile Phone Screen and Back Cover
MECHANIC
Mechanic PRO Heating Screen Opener for Heating and Disassembling Mobile Phone Screen and Back Cover
No reviews yet · In Stock
$37.99 $39.99
CODE: HP-HTP038
Aluminium Mould with Sillicone Mat Mold Laminator for iPhone 8 Plus -21%
Best
Aluminium Mould with Sillicone Mat Mold Laminator for iPhone 8 Plus
No reviews yet · In Stock
$5.50 $7.00
CODE: LM-MLD012

Subscribe to our newsletter

Be the first to know about new arrivals and promotions.